PitchTier: Get standard deviation (curve)...

A query to the selected PitchTier object.

## Return value

the standard deviation in the curve within a specified time window.

## Settings

From time (s)
To time (s)
  the selected time domain. Values outside this domain are ignored. If To time is not greater than From time, the entire time domain of the tier is considered.

## Algorithm

The curve consists of a sequence of line segments. The contribution of the line segment from (t1, f1) to (t2, f2) to the variance-multiplied-by-time is

[ 1/4 (f1 + f2)2 + 1/12 (f1 – f2)2 ] (t2 – t1)

The standard deviation is the square root of: the sum of these values divided by toTime – fromTime.

To get the standard deviation in the points only, i.e. not weighted by the durations of the line pieces, Use PitchTier: Get standard deviation (points)... instead.